## com.imcode.imcms.api
Class Content

    java.lang.Object
      com.imcode.imcms.api.Content

All Implemented Interfaces:
  java.lang.Cloneable

    public class Content

extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`Content()`

Method Summary
`Content` `clone()`
`java.lang.Long` `getId()`
`java.lang.Long` `getLoopId()`
`java.lang.Integer` `getOrderIndex()`
`java.lang.Integer` `getSequenceIndex()`
`void` `setId(java.lang.Long id)`
`void` `setLoopId(java.lang.Long contentId)`
`void` `setOrderIndex(java.lang.Integer orderIndex)`
`void` `setSequenceIndex(java.lang.Integer sequenceIndex)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Content

    public Content()

Method Detail

### clone

    public Content clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getOrderIndex

    public java.lang.Integer getOrderIndex()

### setOrderIndex

    public void setOrderIndex(java.lang.Integer orderIndex)

### getLoopId

    public java.lang.Long getLoopId()

### setLoopId

    public void setLoopId(java.lang.Long contentId)

### getSequenceIndex

    public java.lang.Integer getSequenceIndex()

### setSequenceIndex

    public void setSequenceIndex(java.lang.Integer sequenceIndex)